with GNATCOM.Dispinterface;

package MSHTML.IHTMLTextAreaElement2_Object is

   type IHTMLTextAreaElement2_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Put_selectionStart
     (This : IHTMLTextAreaElement2_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_selectionStart
     (This : IHTMLTextAreaElement2_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_selectionEnd
     (This : IHTMLTextAreaElement2_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_selectionEnd
     (This : IHTMLTextAreaElement2_Type)
     return GNATCOM.Types.VARIANT;

   procedure setSelectionRange
     (This  : IHTMLTextAreaElement2_Type;
      start : GNATCOM.Types.VARIANT;
      uend  : GNATCOM.Types.VARIANT;
      Free  : Boolean := True);

end MSHTML.IHTMLTextAreaElement2_Object;

